[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#205328: Libc 2.3.2-2 breaks programs staticly linked against 2.3.1

At Thu, 21 Aug 2003 10:58:05 +1000,
Peter Chubb wrote:
> Any program that (indirectly) uses libnss, staticly linked with older
> glibc versions will segfault after 2.3.2 is installed.  I suspect this
> is because of a changed internal interface with libnss.
> I believe that the problem is that the NSS mechanism uses dynamic
> linking even if an executable is linked staticly.

Yes, you're right.  And this is famous problem.  And we frequently
close such bugs.

-- gotom

Reply to: